
QGIS Application - Bug report #18088

QGIS 2 API Documentation: links to QT4 classes not found

2018-02-13 11:55 AM - Gerald Kogler

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: Documentation and Help

Affected QGIS version:2.18.16 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25984

Description

All links from QGIS 2 API Documentation to QT 4 classes are broken and result in a 404 Not Found. For example QgsProject Class links

to broken QFileInfo at https://qgis.org/usr/share/qt4/doc/html/qfileinfo.html

Associated revisions

Revision 4ab983e7 - 2018-02-13 04:59 PM - Denis Rouzaud

fix link to Qt 4.8 doc

fix #18088

History

#1 - 2018-02-13 11:57 AM - Yves Jacolin

See for instance: https://qgis.org/api/2.18/classQgisInterface.html

QGIS API Python is generated, so I am not sure if we will update this. I need to check this.

#2 - 2018-02-13 04:47 PM - Denis Rouzaud

- Assignee changed from Yves Jacolin to Denis Rouzaud

#3 - 2018-02-13 04:59 PM - Denis Rouzaud

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|4ab983e731f5d039b4f140ce86f9cbfcc50e0fdc.

#4 - 2018-02-21 05:53 PM - Giovanni Manghi

- Resolution set to fixed/implemented
